#small client based on the matlab function writeclient
__author__ = 'delerue'

import time
from datetime import datetime

# Echo client program
def writeclient(HOST,PORT,msg,verbose,waittime=0,logfile='',datedlog=''):
    "Writes msg on host HOST port PORT; verbose if verbose=1"
    import socket
    s = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
    s.connect((HOST, PORT))
    if (verbose==1):
        print('Sending message ', msg, ' to host ', HOST, ' on port ', PORT)
    if (datedlog!=''):
        date_str=datetime.now().strftime("_%Y%m%d")
        logfile=datedlog+date_str+".txt"
    if (logfile!=''):
        f = open(logfile, 'a')
        time_str=datetime.now().strftime("%Y%m%d %H:%M:%S")
        f.write("("+time_str+") > "+msg+"\n")
    s.sendall(msg)
    time.sleep(waittime)
    data=''
    dataPart = s.recv(1024)
    data=data+dataPart
    while len(dataPart)==1024:
        dataPart = s.recv(1024)
        data=data+dataPart
        
    s.close()
    if (logfile!=''):
        time_str=datetime.now().strftime("%Y%m%d %H:%M:%S")
        f.write("("+time_str+") < "+data+"\n")
        f.close()
    if (verbose==1):
        print('Received', repr(data))
    return data


#writeclient('10.0.1.161',30000,'ca_va?',1,datedlog='/Users/delerue/Downloads/writeclient_tmp')
#writeclient('10.0.1.161',30000,'1CE000000000',1,datedlog='/Users/delerue/Downloads/writeclient_tmp')
#time.sleep(1)
#writeclient('10.0.1.161',30000,'1CD000000000',1,datedlog='/Users/delerue/Downloads/writeclient_tmp')
#time.sleep(1)
#writeclient('10.0.1.161',30000,'1CE000000000',1,datedlog='/Users/delerue/Downloads/writeclient_tmp')
#time.sleep(1)
#writeclient('10.0.1.161',30000,'1QP000010000',1,datedlog='/Users/delerue/Downloads/writeclient_tmp')
#time.sleep(1)
#writeclient('10.0.1.161',30000,'1GR000000000',1,datedlog='/Users/delerue/Downloads/writeclient_tmp')
