%%% Smith-Purcell simulations for DACTOMUS

global Profile
global time

%sum_tr=cell(100);

set(0,'DefaultAxesFontSize',22)
%set(gca,'FontSize',16)

colors={  '+-m', '--k', '.-g' , ':r' , 'o-c', 'd:b' , '-y' };

el_mm_vals=[ 4 ];
%el_mm_vals=[ 2 3 4 5 6 7 8 ];
gamma_vals=70;
x0_mm_vals=[ 7 ];
epsl_vals=[1];

pulse_len_ps_vals=[ 5 ];

multivals={'pulse_len_ps=5;double_gaussian_offset=0;double_gaussian_amplitude=1;double_gaussian_sigma_factor=1;' 'pulse_len_ps=4.9;double_gaussian_offset=-0.007;double_gaussian_amplitude=0.1;double_gaussian_sigma_factor=1.2;'  'pulse_len_ps=2;double_gaussian_offset=-0.004;double_gaussian_amplitude=0.8;double_gaussian_sigma_factor=0.8;' 'pulse_len_ps=2.9;double_gaussian_offset=-0.0029;double_gaussian_amplitude=0.6;double_gaussian_sigma_factor=1.2;' 'pulse_len_ps=2.6;double_gaussian_offset=-0.0027;double_gaussian_amplitude=0.8;double_gaussian_sigma_factor=1.;'  'pulse_len_ps=2.;double_gaussian_offset=-0.0032;double_gaussian_amplitude=0.8;double_gaussian_sigma_factor=1.;'}

el_mm=el_mm_vals(1);
gamma=gamma_vals(1);
x0_mm=x0_mm_vals(1);
pulse_len_ps=pulse_len_ps_vals(1);

%warning('Comment the next line if you do not want to reinitialise')
%run_done=[]

for multivals_loop=1:length(multivals)
    mvals=multivals{multivals_loop}
    eval(mvals)
    irun=multivals_loop
    if (isempty(find(run_done==irun)))
        sum_tr{irun}=0
        [nu_Hz{irun},SP_spec_1{irun},SP_spec_N{irun},lam{irun},E_total{irun},sum_tr{irun},thet]=GFWnew(['lgr_mm=200;wid_mm=100;el_mm=' num2str(el_mm) ';alpha1=30;Qbunch_nC=0.01;PrSelect=2;x0_mm=' num2str(x0_mm) ';fwhm_x_mm=0.5;fwhm_y_mm=0.5;pulse_len_ps=' num2str(pulse_len_ps) ';gam=' num2str(gamma) ';epsl=' num2str(epsl) ';ThetaDiv=80;phiDiv=3;' mvals ';PlotFunc=[1 1 1 1 1]'])
        the_profile{irun}=Profile;
        the_time{irun}=time;
    end % we run only if needed
    run_done=[ run_done irun]
end % multivals



figure(100)
legend_txt={};
clf
hold on
title({ [ 'Expected signal' ] ; [ ' FWHM=5 ps ' 'gamma = ' num2str(gamma) '   ' ]} )
figure(101)
legend_txt={};
clf
hold on
title( { [ 'Bunch profiles '] ; [ ' FWHM=5 ps'  ' gamma = ' num2str(gamma) '    ' ] } )
for multivals_loop=1:length(multivals)
    irun=multivals_loop
    figure(100)
    plot(thet,sum_tr{irun},colors{multivals_loop},'linewidth',2)
    grid on
    set(gca,'FontSize',22)
    %                legend_txt{el_loop}= [ 'Pitch= ' num2str(el_mm_vals(el_loop)) ' mm - Asym. = ' num2str(epsl_vals(1)) ];
    legend_txt{multivals_loop}= multivals{multivals_loop};
    xlim([30 155])
%    legend(legend_txt);
    xlabel('Observation angle (degree)');
    ylabel('Signal Intensity (J)');
        figure(101)
    plot((the_time{irun}(1:10000:length(the_profile{irun}))-0.05)*1000,the_profile{irun}(1:10000:length(the_profile{irun})),colors{multivals_loop},'linewidth',2)
    length(the_time{irun})
    xlim([-8 12])
    grid on
    set(gca,'FontSize',22)
    xlabel('Time (ps)');
    ylabel('Intensity (J)');

end % for multivals
        figure(100)
    print('-dpng',[ '/Users/delerue/travail/smith-purcell/CLIO/simulations/shape_comparison.png' ] );
    print('-depsc',[ '/Users/delerue/travail/smith-purcell/CLIO/simulations/shape_comparison.eps' ] );

        figure(101)
    print('-dpng',[ '/Users/delerue/travail/smith-purcell/CLIO/simulations/shape_profile.png' ] );
    print('-depsc',[ '/Users/delerue/travail/smith-purcell/CLIO/simulations/shape_profile.eps' ] );


