figure(13)
clf
%%% Parameters
for iprofile=[1 5 6]
if (iprofile==1)
pulse_len_ps=5
epsl=1
offset_gaussian=0
amplitude_correction=1
sigma_factor=1
elseif (iprofile==2)
pulse_len_ps=2.9
epsl=1
offset_gaussian=-0.0029
amplitude_correction=0.6
sigma_factor=1.2
elseif (iprofile==3)
pulse_len_ps=2
epsl=1
offset_gaussian=-0.004
amplitude_correction=0.8
sigma_factor=0.8
elseif (iprofile==4)
pulse_len_ps=3.2
epsl=1
offset_gaussian=-0.00245
amplitude_correction=0.98
sigma_factor=1.
elseif (iprofile==5)
pulse_len_ps=2.6
epsl=1
offset_gaussian=-0.0027
amplitude_correction=0.8
sigma_factor=1.
elseif (iprofile==6)
pulse_len_ps=2.
epsl=1
offset_gaussian=-0.0032
amplitude_correction=0.8
sigma_factor=1.
end

%%% Calcs
sigma_t= pulse_len_ps/(sqrt(2*log(2))*(1+epsl))*1e-3;  %The sigma of the leading edge    ns
sigma_D=sigma_t*sigma_factor
nu=(1:1e+10:3e+16).*1e-9;%Ghz

sigma_L= sigma_t*epsl;
sigma_H= sigma_t;
time=(1:(length(nu)*2))*(1/(length(nu)*2*(nu(2)-nu(1))));
xc=mean(time);
G1=exp(-(time-xc).^2./(2*sigma_L^2));
G2=exp(-(time-xc).^2./(2*sigma_H^2));
G3=amplitude_correction*exp(-(time-xc+offset_gaussian).^2./(2*sigma_D^2));
G1nz=G1;
G2nz=G2;
G1(time>xc)=0;
G2(time<xc)=0;

%%% Dist
ProfileG=(G1+G2)./sum(G1+G2);
ProfileGG=(G1+G2+G3)./sum(G1+G2+G3);
ProfileLN=(1./(time)).*exp(-(log(time-xc).^2)./(2*sigma_L^2));
timeL=time-xc;
xl=-0.045;
ProfileL=(1./(sigma_t)).*(sigma_t.^2)*(1./((timeL-xl).^2+sigma_t^2));
%ProfileLN=(1./((time*10+0.5))).*exp(-(log(((time*10+0.5))).^2)./(2*sigma_L^2));
figure(1)
clf
hold on
plot(time,ProfileG,'r')
plot(time,ProfileGG,'m')
%plot(time,ProfileL,'g')
%plot(time,ProfileLN,'g')

figure(11)
clf
hold on
plot(time,G1nz./sum(G1+G2),':r')
plot(time,G2nz./sum(G1+G2),'--r')
plot(time,ProfileG,'r')
figure(111)
clf
plot(time,ProfileG,'r')
%figure(12)
%clf
%plot(time,ProfileL,'g')
figure(13)
hold on
if (iprofile==1)
plot(time,ProfileGG,'g')
else
plot(time,ProfileGG,'r')
end

%FWHM
FWHMG=time(find(ProfileG>(max(ProfileG)/2),1,'last'))-time(find(ProfileG>(max(ProfileG)/2),1,'first'))
FWHMGG=time(find(ProfileGG>(max(ProfileGG)/2),1,'last'))-time(find(ProfileGG>(max(ProfileGG)/2),1,'first'))
end %for
